import type { ServiceScope, ITimeProvider } from '../index';
/**
 * This is a test implementation of ITimeProvider that allows unit tests
 * to simulate the system clock.
 */
export default class MockTimeProvider implements ITimeProvider {
    /**
     * The time value that will be returned by getNowMs().
     */
    currentDate: Date;
    currentTimestamp: number;
    constructor(serviceScope: ServiceScope);
    /** Implements the ITimeProvider interface. */
    getDate(): Date;
    /** Implements the ITimeProvider interface. */
    getTimestamp(): number;
    /**
     * Advances the simulated clock by the specified number of milliseconds.
     */
    addMs(milliseconds: number): void;
}
//# sourceMappingURL=MockTimeProvider.d.ts.map