"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ServiceKey_1 = tslib_1.__importDefault(require("../ServiceKey"));
/**
 * This is the default implementation of {@link IRandomNumberGenerator} that simply
 * calls Math.random().
 *
 * @public
 */
var RandomNumberGenerator = /** @class */ (function () {
    function RandomNumberGenerator(serviceScope) {
        // (this constructor is currently unused, but it is required by the
        // ServiceKey.create() contract)
    }
    /** {@inheritDoc IRandomNumberGenerator.generate} */
    RandomNumberGenerator.prototype.generate = function () {
        return Math.random();
    };
    /**
     * The service key for IRandomNumberGenerator.
     */
    RandomNumberGenerator.serviceKey = ServiceKey_1.default.create('sp-core-library:RandomNumberGenerator', RandomNumberGenerator);
    return RandomNumberGenerator;
}());
exports.default = RandomNumberGenerator;
//# sourceMappingURL=RandomNumberGenerator.js.map