"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ServiceKey_1 = tslib_1.__importDefault(require("../ServiceKey"));
/**
 * This is the default implementation of {@link ITimeProvider} that simply
 * calls the real browser APIs.
 *
 * @public
 */
var TimeProvider = /** @class */ (function () {
    function TimeProvider(serviceScope) {
        // (this constructor is currently unused, but it is required by the
        // ServiceKey.create() contract)
    }
    /** {@inheritDoc ITimeProvider.getDate} */
    TimeProvider.prototype.getDate = function () {
        return new Date();
    };
    /** {@inheritDoc ITimeProvider.getTimestamp} */
    TimeProvider.prototype.getTimestamp = function () {
        return performance.now();
    };
    /**
     * The service key for ITimeProvider.
     */
    TimeProvider.serviceKey = ServiceKey_1.default.create('sp-core-library:TimeProvider', TimeProvider);
    return TimeProvider;
}());
exports.default = TimeProvider;
//# sourceMappingURL=TimeProvider.js.map